package net.t2code.automatedMessages.command;

import net.t2code.automatedMessages.Util;
import net.t2code.automatedMessages.config.Config;
import net.t2code.automatedMessages.config.FileBuild;
import net.t2code.automatedMessages.config.messages.MessagesSelect;
import net.t2code.automatedMessages.messages.Management;
import net.t2code.automatedMessages.system.Main;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Csend;
import net.t2code.t2codelib.SPIGOT.api.messages.T2Ctemplate;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;

public class Commands {
    public static void reload(CommandSender sender) {
        T2Csend.console(Config.msgReloadStart.valueString);
        if (sender instanceof Player) T2Csend.sender(sender, Config.msgReloadStart.valueString);
        Management.end();

        FileBuild.selectConfig();
        MessagesSelect.select();

        Management.start();
        if (sender instanceof Player) T2Csend.sender(sender, Config.msgReloadEnd.valueString);
        T2Csend.console(Config.msgReloadEnd.valueString);
    }

    public static void info(CommandSender sender) {
        T2Ctemplate.sendInfo(sender, Main.getPlugin(), Util.getSpigotID(), Util.getDiscord(), Util.getInfoText());
    }
}
