package net.t2code.automatedMessages.config.messages;

import org.bukkit.Sound;

public enum Messages {

    message("enable", false,
            "message", "",
            "sound.enable", true,
            "sound.sound", MessagesSelect.sound(),
            "permissionNeededToSeeMessage.enable", false,
            "permissionNeededToSeeMessage.permission", "",
            "intervalInMin", 0,
            "exactTime.enable", false,
            "exactTime.timeMinute", "*/5",
            "exactTime.timeHour", "*",
            "exactTime.timeDayOfMonth", "*",
            "exactTime.timeMonth", "*",
            "exactTime.timeDayOfWeek", "*"
    );

    public String msgEnablePath;
    public Boolean msgEnable;

    public String msgMsgPath;
    public String msgMsg;

    public String soundEnablePath;
    public Boolean soundEnable;

    public String soundPath;
    public Sound sound;

    public String permissionNeededToSeeMessagePath;
    public Boolean permissionNeededToSeeMessage;

    public String permissionPath;
    public String permission;

    public String msgIntervalPath;
    public Integer msgInterval;

    public String exactTimePath;
    public Boolean exactTime;

    public String timeMinutePath;
    public String timeMinute;

    public String timeHourPath;
    public String timeHour;

    public String timeDayOfMonthPath;
    public String timeDayOfMonth;

    public String timeMonthPath;
    public String timeMonth;

    public String timeDayOfWeekPath;
    public String timeDayOfWeek;

    Messages(String msgEnablePath, Boolean msgEnable,
             String msgMsgPath, String msgMsg,
             String soundEnablePath, Boolean soundEnable,
             String soundPath, Sound sound,
             String permissionNeededToSeeMessagePath, Boolean permissionNeededToSeeMessage,
             String permissionPath, String permission,
             String msgIntervalPath, Integer msgInterval,
             String exactTimePath, Boolean exactTime, String timeMinutePath, String timeMinute,
             String timeHourPath, String timeHour,
             String timeDayOfMonthPath, String timeDayOfMonth,
             String timeMonthPath, String timeMonth,
             String timeDayOfWeekPath, String timeDayOfWeek) {

        this.msgEnablePath = msgEnablePath;
        this.msgEnable = msgEnable;
        this.msgMsgPath = msgMsgPath;
        this.msgMsg = msgMsg;

        this.soundEnablePath = soundEnablePath;
        this.soundEnable = soundEnable;
        this.soundPath = soundPath;
        this.sound = sound;

        this.permissionNeededToSeeMessagePath = permissionNeededToSeeMessagePath;
        this.permissionNeededToSeeMessage = permissionNeededToSeeMessage;
        this.permissionPath = permissionPath;
        this.permission = permission;

        this.msgIntervalPath = msgIntervalPath;
        this.msgInterval = msgInterval;
        this.exactTimePath = exactTimePath;
        this.exactTime = exactTime;
        this.timeMinutePath = timeMinutePath;
        this.timeMinute = timeMinute;
        this.timeHourPath = timeHourPath;
        this.timeHour = timeHour;

        this.timeDayOfMonthPath = timeDayOfMonthPath;
        this.timeDayOfMonth = timeDayOfMonth;
        this.timeMonthPath = timeMonthPath;
        this.timeMonth = timeMonth;
        this.timeDayOfWeekPath = timeDayOfWeekPath;
        this.timeDayOfWeek = timeDayOfWeek;
    }
}
